Jump to content
Дизайн и модификация IPS Community IPBSkinsBETA
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
Fisana

IP.Board 2.2.x: Ошибки после обновления

Recommended Posts

Вчера обновляла свои тестовые форумы 2.2.1 до версии 2.2.2.

Вначале обновила дома, показалось, что все в порядке.

Затем обновила на хостинге. Успешно.

 

Затем увидела, что на домашнем тестовом форуме появляется ошибка при попытке просмотра профиля пользователя

Fatal error: Call to undefined function: txt_wordwrap() in w:\home\localhost\www\ipb2\sources\action_public\profile.php on line 2638

 

На линии 2638 (+2639) в profile.php находится строчка:

 $this->ipsclass->DB->do_update( 'validating', array( 'user_verified' => 1 ), "vid='".$validate['vid']."'" );

 

На хостинге этой ошибки нет.

Скрипты форума идентичны (английская лицензионка).

Share this post


Link to post
Share on other sites

Хм, что-то я не понял. Ирина, а Вы не у ИБР приобретали лицензию? Что-то пусто в клиент-центре.

Share this post


Link to post
Share on other sites
Хм, что-то я не понял. Ирина, а Вы не у ИБР приобретали лицензию? Что-то пусто в клиент-центре.

У меня две лицензии, обычная от IBR и пожизненная от IPS. В данном случае я не надеюсь на клиентку IBR, русской версии больше двух месяцев нет.

Качаю обновления в клиентцентре IPS.

 

LE_TALLEC,

спасибо.

Share this post


Link to post
Share on other sites

Ошибка исправилась путем замены из полного дистрибутива файла ipsclass.php

 

На хостинге ошибку не заметила видимо потому, что там ipsclass.php и еще несколько файлов из полной версии сразу заменила из-за того, что у меня почему-то номер версии на форуме не обновился.

Share this post


Link to post
Share on other sites

Я всегда сравниваю дистрибутивы с клиентцентров IBR и IPS после выхода очередной заплатки. Но сами заплатки непосредственно с IPS качаю.

Share this post


Link to post
Share on other sites

Я качала дистрибутив позавчера, в клиентке IBR еще ничего не было.

В данном случае это баг IPS, в бэгтреке о нем информация есть.

А на IBR должны успеть исправить, сегодня они дружно эту тему читали.

В клиентцентре в данный момент нет патча обновления английской 2.2.1 до 2.2.2. Возможно именно из-за бага и нету, тестируют.

Share this post


Link to post
Share on other sites

Мда. В клиентцентре IBR только вчера к вечеру появилась.

 

...Может быть...может быть.

Share this post


Link to post
Share on other sites

Хм, видимо уже косяки поправили, потому что проблем вообще не возникло, весь день опыты ставил и на 4м php с 4й sql и с 5й версией. Все работает, по крайней мере пока. :/

Share this post


Link to post
Share on other sites

На новом форуме может багов и не быть. Проблемы обычно возникают при обновлении больших долгоживущих форумов.

Когда-то поимела массу проблем, обновляя 1.3 в 2.0.

Скоро предстоит обновлять 2.0 в 2.2...

Потом этот.

Share this post


Link to post
Share on other sites

я не рекомендую обновлять до 2.2.2..там баги все равно есть

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...